curl --request GET \
--url https://api.sandbox.services.payward.com/v1/users/{user_id}/assets \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.sandbox.services.payward.com/v1/users/{user_id}/assets"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.sandbox.services.payward.com/v1/users/{user_id}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.services.payward.com/v1/users/{user_id}/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Nonce: <api-key>",
"API-Sign: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.services.payward.com/v1/users/{user_id}/assets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.services.payward.com/v1/users/{user_id}/assets")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Nonce", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.services.payward.com/v1/users/{user_id}/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Nonce"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"symbol": "BTC",
"type": "crypto",
"name": "Bitcoin",
"website": "https://bitcoin.org/",
"docs": "https://bitcoin.org/bitcoin.pdf",
"description": "Bitcoin is the world's largest cryptocurrency project.",
"listing_date": "2013-10-06",
"price": "62081.0000",
"market_cap": "1244183483835",
"market_cap_rank": 1,
"trending_rank": 66,
"volume": {
"last_24h": "53096507160"
},
"supply": {
"circulating": "20038918",
"total": "20038918",
"max": "21000000",
"in_quote": {
"circulating": "1244036068358",
"total": "1244036068358",
"max": "1303701000000"
}
},
"price_range": {
"high_24h": "63120.0000",
"low_24h": "61540.0000",
"high_1y": "73750.0000",
"low_1y": "24900.0000"
},
"price_change_percent": {
"last_1h": "-0.31",
"last_24h": "-0.58",
"last_7d": "-15.62",
"last_30d": "-24.56",
"last_1y": "-40.69"
},
"ath": {
"value": "126080.0000",
"timestamp": "2025-10-06T18:57:42Z"
},
"buy_rate": "65.00",
"market_dominance": "52.40",
"status": {
"swap_trading": {
"enabled": true,
"disabled_against": [
{
"symbol": "USDT",
"type": "stablecoin"
},
{
"symbol": "SOL",
"type": "crypto"
}
]
},
"withdraw": {
"enabled": true
},
"deposit": {
"enabled": true
}
},
"logo": {
"width": 400,
"height": 400,
"href": "https://assets.kraken.com/marketing/web/icons-uni-webp/s_btc.webp",
"type": "image/webp"
},
"decimals": {
"funding": 8,
"swap": 10
}
},
{
"symbol": "ETH",
"type": "crypto",
"name": "Ethereum",
"listing_date": "2015-08-07",
"price": "1659.8600",
"market_cap": "200269280850",
"market_cap_rank": 2,
"trending_rank": 55,
"volume": {
"last_24h": "27036726996"
},
"price_range": {
"high_24h": "1688.4000",
"low_24h": "1642.1000"
},
"price_change_percent": {
"last_1h": "-0.53",
"last_24h": "-4.92",
"last_7d": "-17.38",
"last_30d": "-31.16",
"last_1y": "-36.02"
},
"ath": {
"value": "4946.0500",
"timestamp": "2025-08-24T19:21:03Z"
},
"status": {
"swap_trading": {
"enabled": true,
"disabled_against": [
{
"symbol": "USDT",
"type": "stablecoin"
},
{
"symbol": "SOL",
"type": "crypto"
}
]
},
"withdraw": {
"enabled": true
},
"deposit": {
"enabled": true
}
},
"logo": {
"width": 400,
"height": 400,
"href": "https://assets.kraken.com/marketing/web/icons-uni-webp/s_eth.webp",
"type": "image/webp"
},
"decimals": {
"funding": 10,
"swap": 10
}
},
{
"symbol": "USD",
"type": "fiat",
"name": "US Dollar",
"listing_date": "2013-10-06",
"status": {
"swap_trading": {
"enabled": true,
"disabled_against": [
{
"symbol": "AED",
"type": "fiat"
},
{
"symbol": "USDT",
"type": "stablecoin"
}
]
},
"withdraw": {
"enabled": true
},
"deposit": {
"enabled": true
}
},
"logo": {
"width": 400,
"height": 400,
"href": "https://assets.kraken.com/marketing/web/icons-uni-webp/s_usd.webp",
"type": "image/webp"
},
"decimals": {
"funding": 2,
"swap": 4
}
},
{
"symbol": "TSLAx",
"type": "xstock",
"name": "Tesla, Inc.",
"listing_date": "2025-06-30",
"price": "248.5000",
"market_cap": "799000000000",
"market_cap_rank": 12,
"trending_rank": 8,
"volume": {
"last_24h": "1203456789"
},
"price_change_percent": {
"last_1h": "0.15",
"last_24h": "-1.02",
"last_7d": "3.44",
"last_30d": "-2.10",
"last_1y": "18.73"
},
"ath": {
"value": "488.5400",
"timestamp": "2025-01-31T20:00:00Z"
},
"status": {
"swap_trading": {
"enabled": true,
"disabled_against": []
},
"withdraw": {
"enabled": true
},
"deposit": {
"enabled": true
}
},
"logo": {
"width": 400,
"height": 400,
"href": "https://assets.kraken.com/marketing/web/icons-uni-webp/s_tslax.webp",
"type": "image/webp"
},
"decimals": {
"funding": 8,
"swap": 8
}
}
],
"quote_symbol": "USD",
"quote_type": "fiat",
"page_size": 20,
"sort": "market_cap_rank",
"sort_direction": "asc",
"next_page_token": "MjoyRHuBXSgoe0mDHt-iFALROW46EGdvk_trgja31Vwr7H4"
}List user assets
List assets available to a specific user, with that user’s geo restrictions applied.
curl --request GET \
--url https://api.sandbox.services.payward.com/v1/users/{user_id}/assets \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.sandbox.services.payward.com/v1/users/{user_id}/assets"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.sandbox.services.payward.com/v1/users/{user_id}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.services.payward.com/v1/users/{user_id}/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Nonce: <api-key>",
"API-Sign: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.services.payward.com/v1/users/{user_id}/assets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.services.payward.com/v1/users/{user_id}/assets")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Nonce", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.services.payward.com/v1/users/{user_id}/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Nonce"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"symbol": "BTC",
"type": "crypto",
"name": "Bitcoin",
"website": "https://bitcoin.org/",
"docs": "https://bitcoin.org/bitcoin.pdf",
"description": "Bitcoin is the world's largest cryptocurrency project.",
"listing_date": "2013-10-06",
"price": "62081.0000",
"market_cap": "1244183483835",
"market_cap_rank": 1,
"trending_rank": 66,
"volume": {
"last_24h": "53096507160"
},
"supply": {
"circulating": "20038918",
"total": "20038918",
"max": "21000000",
"in_quote": {
"circulating": "1244036068358",
"total": "1244036068358",
"max": "1303701000000"
}
},
"price_range": {
"high_24h": "63120.0000",
"low_24h": "61540.0000",
"high_1y": "73750.0000",
"low_1y": "24900.0000"
},
"price_change_percent": {
"last_1h": "-0.31",
"last_24h": "-0.58",
"last_7d": "-15.62",
"last_30d": "-24.56",
"last_1y": "-40.69"
},
"ath": {
"value": "126080.0000",
"timestamp": "2025-10-06T18:57:42Z"
},
"buy_rate": "65.00",
"market_dominance": "52.40",
"status": {
"swap_trading": {
"enabled": true,
"disabled_against": [
{
"symbol": "USDT",
"type": "stablecoin"
},
{
"symbol": "SOL",
"type": "crypto"
}
]
},
"withdraw": {
"enabled": true
},
"deposit": {
"enabled": true
}
},
"logo": {
"width": 400,
"height": 400,
"href": "https://assets.kraken.com/marketing/web/icons-uni-webp/s_btc.webp",
"type": "image/webp"
},
"decimals": {
"funding": 8,
"swap": 10
}
},
{
"symbol": "ETH",
"type": "crypto",
"name": "Ethereum",
"listing_date": "2015-08-07",
"price": "1659.8600",
"market_cap": "200269280850",
"market_cap_rank": 2,
"trending_rank": 55,
"volume": {
"last_24h": "27036726996"
},
"price_range": {
"high_24h": "1688.4000",
"low_24h": "1642.1000"
},
"price_change_percent": {
"last_1h": "-0.53",
"last_24h": "-4.92",
"last_7d": "-17.38",
"last_30d": "-31.16",
"last_1y": "-36.02"
},
"ath": {
"value": "4946.0500",
"timestamp": "2025-08-24T19:21:03Z"
},
"status": {
"swap_trading": {
"enabled": true,
"disabled_against": [
{
"symbol": "USDT",
"type": "stablecoin"
},
{
"symbol": "SOL",
"type": "crypto"
}
]
},
"withdraw": {
"enabled": true
},
"deposit": {
"enabled": true
}
},
"logo": {
"width": 400,
"height": 400,
"href": "https://assets.kraken.com/marketing/web/icons-uni-webp/s_eth.webp",
"type": "image/webp"
},
"decimals": {
"funding": 10,
"swap": 10
}
},
{
"symbol": "USD",
"type": "fiat",
"name": "US Dollar",
"listing_date": "2013-10-06",
"status": {
"swap_trading": {
"enabled": true,
"disabled_against": [
{
"symbol": "AED",
"type": "fiat"
},
{
"symbol": "USDT",
"type": "stablecoin"
}
]
},
"withdraw": {
"enabled": true
},
"deposit": {
"enabled": true
}
},
"logo": {
"width": 400,
"height": 400,
"href": "https://assets.kraken.com/marketing/web/icons-uni-webp/s_usd.webp",
"type": "image/webp"
},
"decimals": {
"funding": 2,
"swap": 4
}
},
{
"symbol": "TSLAx",
"type": "xstock",
"name": "Tesla, Inc.",
"listing_date": "2025-06-30",
"price": "248.5000",
"market_cap": "799000000000",
"market_cap_rank": 12,
"trending_rank": 8,
"volume": {
"last_24h": "1203456789"
},
"price_change_percent": {
"last_1h": "0.15",
"last_24h": "-1.02",
"last_7d": "3.44",
"last_30d": "-2.10",
"last_1y": "18.73"
},
"ath": {
"value": "488.5400",
"timestamp": "2025-01-31T20:00:00Z"
},
"status": {
"swap_trading": {
"enabled": true,
"disabled_against": []
},
"withdraw": {
"enabled": true
},
"deposit": {
"enabled": true
}
},
"logo": {
"width": 400,
"height": 400,
"href": "https://assets.kraken.com/marketing/web/icons-uni-webp/s_tslax.webp",
"type": "image/webp"
},
"decimals": {
"funding": 8,
"swap": 8
}
}
],
"quote_symbol": "USD",
"quote_type": "fiat",
"page_size": 20,
"sort": "market_cap_rank",
"sort_direction": "asc",
"next_page_token": "MjoyRHuBXSgoe0mDHt-iFALROW46EGdvk_trgja31Vwr7H4"
}Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Path Parameters
Globally unique public identifier for a user.
14 - 42Query Parameters
Filter assets by classification. Repeat the parameter to filter on multiple types.
4fiat, crypto, xstock, stablecoin Filter to assets that are currently enabled for swap trading. Omit to ignore this dimension.
Filter to assets that are currently enabled for withdrawal. Omit to ignore this dimension.
Filter to assets that are currently enabled for deposit. Omit to ignore this dimension.
Field to sort the results by. Use sort_direction to control ascending vs descending.
trending_rank, market_cap_rank, market_cap, price, volume_last_24h, price_change_percent_last_1h, price_change_percent_last_24h, price_change_percent_last_7d, price_change_percent_last_30d, price_change_percent_last_1y, symbol, name, listing_date Direction of the sort. Use asc for natural ascending order (rank 1 first, oldest first, lowest first); desc for the inverse.
asc, desc Maximum number of results to return. Ignored when page_token is present.
1 <= x <= 100Opaque token returned as next_page_token in the previous response. Omit to request the first page.
1 - 256Symbol of the asset to use as the quote currency for valuations.
1 - 16Classification of the quote asset. Currently only fiat is supported.
fiat Response
Successful response
The list of matching assets.
Show child attributes
Show child attributes
Quote asset symbol the prices are denominated in (resolved, defaults to USD).
Classification of the quote asset (resolved, defaults to fiat).
fiat Maximum number of results returned on this page (resolved, defaults to 20).
1 <= x <= 100Field the results were sorted by (resolved, defaults to market_cap_rank).
trending_rank, market_cap_rank, market_cap, price, volume_last_24h, price_change_percent_last_1h, price_change_percent_last_24h, price_change_percent_last_7d, price_change_percent_last_30d, price_change_percent_last_1y, symbol, name, listing_date Direction the results were sorted in (resolved, defaults to asc).
asc, desc Opaque token for retrieving the next page. Absent when there are no more results.
1 - 256Asset classifications the listing was filtered to. Empty when no type filter was applied.
Classification of an asset available in the catalog.
fiat, crypto, xstock, stablecoin Swap-trading filter that was applied, echoed back. Absent when not filtered.
Withdrawal filter that was applied, echoed back. Absent when not filtered.
Deposit filter that was applied, echoed back. Absent when not filtered.